[Pig]
lexer=sql
keywords.0=name:Keywords::and any all arrange as asc by cache case \
%declare %default dense desc else end eval flatten full generate if \
inner input in into is left matches not onschema or outer output \
parallel partition returns right rollup ship stderr stdin stdout then \
through using when

keywords.1=name:Database Objects::

keywords.2=name:PLDoc::

keywords.3=name:Functions::avg bagtostring bagtotuple bloom buildbloom concat count count_star diff \
isempty max min plucktuple size subtract sum tokenize \
abs acos asin atan cbrt ceil cos cosh exp floor log log10 random round \
round_to sin sinh sqrt tan tanh \
endswith equalsignorecase indexof last_index_of lcfirst lower ltrim \
regex_extract regex_extract_all regex_search replace rtrim sprintf startswith \
strsplit strsplittobag substring trim ucfirst upper \
uniqueid addduration currenttime daysbetween getday gethour getmillisecond \
getminute getmonth getsecond getweek getweekyear getyear hoursbetween \
millisecondsbetween minutesbetween monthsbetween secondsbetween \
subtractduration todate tomilliseconds tostring tounixtime weeksbetween \
yearsbetween \
totuple tobag tomap top

keywords.4=name:Commands::cat cd cp du ls mkdir mv pwd rm rmf \
copyfromlocal copytolocal pig \
fs sh clear exec help history kill quit run \
describe dump explain illustrate

keywords.5=name:Operators::assert cogroup cross cube define distinct filter foreach group  import join \
limit load native order rank sample split set store stream union register

keywords.6=name:Types::int long float double chararray bytearray boolean datetime biginteger bigdecimal \
tuple bag map \
pigstorage pigdump jsonloader jsonstorage avrostorage orcstorage textloader \
hbasestorage trevnistorage accumulostorage

keywords.7=name:Constants::true false null void

style.33=name:LineNumbers,fore:clBlack,back:clSilver,font:Arial
style.34=name:Ok Braces,fore:clBlue,bold
style.35=name:Bad Braces,fore:clRed,bold
style.36=name:Control Chars,back:clSilver
style.37=name:Indent Guide,fore:clSilver
style.0=name:Whitespace
style.1=name:Comment,fore:clGreen
style.2=name:Line Comment,fore:clGreen
style.3=name:Doc Comment,fore:#3F703F
style.4=name:Number,fore:clTeal
style.5=name:Keyword,fore:clNavy,bold
style.6=name:Double quoted string,fore:clPurple
style.7=name:Single quoted string,fore:clPurple
style.8=name:SQL*Plus,fore:clOlive
style.9=name:SQL*Plus Promptfore:#007F00,back:#E0FFE0,eolfilled
style.10=name:Operators,bold
style.11=name:Identifier
style.12=name:EOL if string is not closed,fore:#000000,back:#E0C0E0,eolfilled
style.13=name:SQL*Plus Comment,fore:#007F00
style.15=name:Line Doc Comment,fore:#007F00
style.16=name:Keyword2,fore:#B00040
style.17=name:Doc Comment Keyword,fore:clGreen
style.18=name:Doc Comment Keyword Error,fore:clRed
style.19=name:User 1,fore:#4B0082
style.20=name:User 2,fore:#B00040
style.21=name:User 3,fore:#8B0000
style.22=name:User 4,fore:#800080
style.23=name:Quoted Identifier

CommentBoxStart=/*
CommentBoxEnd=*/
CommentBoxMiddle=*
CommentBlock=#
CommentStreamStart=/*
CommentStreamEnd=*/
AssignmentOperator==
EndOfStatementOperator=;